import { ComponentApi } from "./component";
import { ConfigApi } from "./config/config-api";
import { CurrentUserApi } from "./current-user/currentUser-api";
import { EventApi } from "./event/event-api";
import { FileApi } from "./file/file-api";
import { HttpApi } from "./http";
import { LocalizationApi } from "./localization/localization-api";
import { AdminMetadataApi } from "./metadata/admin/admin-metadata-api";
import { MetadataApi } from "./metadata/metadata-api";
import { ObjectApi } from "./object/object-api";
import { PageAdminApi } from "./page-admin/page-admin-api";
import { PageModelApi } from "./page-model/page-model-api";
import { PageStateApi } from "./page-state/page-state-api";
import { PropertyApi } from "./property/property-api";
import { RefDataApi } from "./reference-data/refData";
import { ResourceApi } from "./resource/resource-api";
import { ClientSearchApi } from "./search/client/client-search-api";
import { SearchApi } from "./search/search-api";
import { SheetApi } from "./sheet/sheet-api";
import { TabApi } from "./tab/tab-api";
import { ThemeApi } from "./theme/theme-api";
import { TraversalApi } from "./traversal/traversal-api";
import { ShellTabsApi } from "./shell-tabs/shell-tabs-api";
import { PageTemplateApi } from "./page-template/page-template-api";
import { InitApi } from "./init";
/**
 * Common API Functions.
 */
export interface SviCommonApi {
    component: ComponentApi;
    currentUser: CurrentUserApi;
    event: EventApi;
    file: FileApi;
    http: HttpApi;
    localization: LocalizationApi;
    metadata: MetadataApi;
    pageAdmin: PageAdminApi;
    pageModel: PageModelApi;
    pageState: PageStateApi;
    pageTemplate: PageTemplateApi;
    property: PropertyApi;
    refData: RefDataApi;
    /** @deprecated Use window.sas.viInit.registerResourceBundle to register resources before the rest of the Visual Investigator API is ready. */
    resource: ResourceApi;
    search: SearchApi;
    theme: ThemeApi;
    traversal: TraversalApi;
    config: ConfigApi;
    shellTabs: ShellTabsApi;
}
/**
 * The Client API.
 */
export interface SviClientApi extends SviCommonApi {
    object: ObjectApi;
    search: ClientSearchApi;
    sheet: SheetApi;
    tab: TabApi;
}
/**
 * The Admin API.
 */
export interface SviAdminApi extends SviCommonApi {
    metadata: AdminMetadataApi;
}
export type SviApi = SviClientApi | SviAdminApi;
export type SviWindow = typeof window & {
    sas: {
        vi: SviApi;
        viInit: InitApi;
    };
};
