export const APP_INIT_TIMEOUT_MS = 120 * 1000;
export const ERR_EXISTING_APP_DECLARED = (appName) => `App: '${appName}' has already been declared.`;
export const ERR_EXISTING_RESOURCE_BUNDLE_DECLARED = (appName) => `I18n resource bundle: '${appName}' has already been declared.`;
export const ERR_INIT_TIMEOUT = (name, timeout) => `Ready check for '${name}' timed out after ${timeout ?? APP_INIT_TIMEOUT_MS}ms.`;
/**
 * Initialisation events for the Visual Investigator application.
 * These can be awaited using window.sas.viInit.whenReady
 */
export var SviInitEvent;
(function (SviInitEvent) {
    /** all apps which were declared through window.sas.viInit */
    SviInitEvent["AllDeclaredApps"] = "viInit::all-apps";
    /** all I18n resource bundles which were declared through window.sas.viInit */
    SviInitEvent["AllDeclaredI18nResourceBundles"] = "viInit::all-i18n-resources";
    /** the full window.sas.vi API, depends on {@link AllDeclaredI18nResourceBundles} */
    SviInitEvent["SviClientApi"] = "viInit::sas-vi-api";
})(SviInitEvent || (SviInitEvent = {}));
